Package org.eclipse.emf.cdo.eresource

# Interface EresourcePackage.Literals

Enclosing interface:
  EresourcePackage

public static interface EresourcePackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Since:
  4.1
Generated
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EClass`
`CDO_BINARY_RESOURCE`
The meta object literal for the '`CDO Binary Resource`' class.
`static final EAttribute`
`CDO_BINARY_RESOURCE__CONTENTS`
The meta object literal for the 'Contents' attribute feature.
`static final EClass`
`CDO_FILE_RESOURCE`
The meta object literal for the '`CDO File Resource`' class.
`static final EClass`
`CDO_RESOURCE`
The meta object literal for the '`CDO Resource`' class.
`static final EReference`
`CDO_RESOURCE__CONTENTS`
The meta object literal for the 'Contents' containment reference list feature.
`static final EAttribute`
`CDO_RESOURCE__ERRORS`
The meta object literal for the 'Errors' attribute list feature.
`static final EAttribute`
`CDO_RESOURCE__LOADED`
The meta object literal for the 'Loaded' attribute feature.
`static final EAttribute`
`CDO_RESOURCE__MODIFIED`
The meta object literal for the 'Modified' attribute feature.
`static final EAttribute`
`CDO_RESOURCE__RESOURCE_SET`
The meta object literal for the 'Resource Set' attribute feature.
`static final EAttribute`
`CDO_RESOURCE__TIME_STAMP`
The meta object literal for the 'Time Stamp' attribute feature.
`static final EAttribute`
`CDO_RESOURCE__TRACKING_MODIFICATION`
The meta object literal for the 'Tracking Modification' attribute feature.
`static final EAttribute`
`CDO_RESOURCE__URI`
The meta object literal for the 'URI' attribute feature.
`static final EAttribute`
`CDO_RESOURCE__WARNINGS`
The meta object literal for the 'Warnings' attribute list feature.
`static final EClass`
`CDO_RESOURCE_FOLDER`
The meta object literal for the '`CDO Resource Folder`' class.
`static final EReference`
`CDO_RESOURCE_FOLDER__NODES`
The meta object literal for the 'Nodes' containment reference list feature.
`static final EClass`
`CDO_RESOURCE_LEAF`
The meta object literal for the '`CDO Resource Leaf`' class.
`static final EClass`
`CDO_RESOURCE_NODE`
The meta object literal for the '`CDO Resource Node`' class.
`static final EReference`
`CDO_RESOURCE_NODE__FOLDER`
The meta object literal for the 'Folder' container reference feature.
`static final EAttribute`
`CDO_RESOURCE_NODE__NAME`
The meta object literal for the 'Name' attribute feature.
`static final EAttribute`
`CDO_RESOURCE_NODE__PATH`
The meta object literal for the 'Path' attribute feature.
`static final EClass`
`CDO_TEXT_RESOURCE`
The meta object literal for the '`CDO Text Resource`' class.
`static final EAttribute`
`CDO_TEXT_RESOURCE__CONTENTS`
The meta object literal for the 'Contents' attribute feature.
`static final EAttribute`
`CDO_TEXT_RESOURCE__ENCODING`
The meta object literal for the 'Encoding' attribute feature.
`static final EDataType`
`DIAGNOSTIC`
The meta object literal for the 'Diagnostic' data type.
`static final EDataType`
`RESOURCE_SET`
The meta object literal for the 'Resource Set' data type.
`static final EDataType`
`URI`
The meta object literal for the 'URI' data type.

## Field Details

### CDO_RESOURCE_NODE

static final EClass CDO_RESOURCE_NODE
The meta object literal for the '`CDO Resource Node`' class.

Since:
  2.0
See Also:
  - `CDOResourceNodeImpl`
  - `EresourcePackageImpl.getCDOResourceNode()`
Generated

### CDO_RESOURCE_NODE__FOLDER

static final EReference CDO_RESOURCE_NODE__FOLDER
The meta object literal for the 'Folder' container reference feature.

Since:
  2.0
Generated

### CDO_RESOURCE_NODE__NAME

static final EAttribute CDO_RESOURCE_NODE__NAME
The meta object literal for the 'Name' attribute feature.

Since:
  2.0
Generated

### CDO_RESOURCE_NODE__PATH

static final EAttribute CDO_RESOURCE_NODE__PATH
The meta object literal for the 'Path' attribute feature.

Since:
  2.0
Generated

### CDO_RESOURCE_FOLDER

static final EClass CDO_RESOURCE_FOLDER
The meta object literal for the '`CDO Resource Folder`' class.

Since:
  2.0
See Also:
  - `CDOResourceFolderImpl`
  - `EresourcePackageImpl.getCDOResourceFolder()`
Generated

### CDO_RESOURCE_FOLDER__NODES

static final EReference CDO_RESOURCE_FOLDER__NODES
The meta object literal for the 'Nodes' containment reference list feature.

Since:
  2.0
Generated

### CDO_RESOURCE

static final EClass CDO_RESOURCE
The meta object literal for the '`CDO Resource`' class.

See Also:
  - `CDOResourceImpl`
  - `EresourcePackageImpl.getCDOResource()`
Generated

### CDO_RESOURCE__RESOURCE_SET

static final EAttribute CDO_RESOURCE__RESOURCE_SET
The meta object literal for the 'Resource Set' attribute feature.

Generated

### CDO_RESOURCE__URI

static final EAttribute CDO_RESOURCE__URI
The meta object literal for the 'URI' attribute feature.

Generated

### CDO_RESOURCE__CONTENTS

static final EReference CDO_RESOURCE__CONTENTS
The meta object literal for the 'Contents' containment reference list feature.

Generated

### CDO_RESOURCE__MODIFIED

static final EAttribute CDO_RESOURCE__MODIFIED
The meta object literal for the 'Modified' attribute feature.

Generated

### CDO_RESOURCE__LOADED

static final EAttribute CDO_RESOURCE__LOADED
The meta object literal for the 'Loaded' attribute feature.

Generated

### CDO_RESOURCE__TRACKING_MODIFICATION

static final EAttribute CDO_RESOURCE__TRACKING_MODIFICATION
The meta object literal for the 'Tracking Modification' attribute feature.

Generated

### CDO_RESOURCE__ERRORS

static final EAttribute CDO_RESOURCE__ERRORS
The meta object literal for the 'Errors' attribute list feature.

Generated

### CDO_RESOURCE__WARNINGS

static final EAttribute CDO_RESOURCE__WARNINGS
The meta object literal for the 'Warnings' attribute list feature.

Generated

### CDO_RESOURCE__TIME_STAMP

static final EAttribute CDO_RESOURCE__TIME_STAMP
The meta object literal for the 'Time Stamp' attribute feature.

Generated

### CDO_RESOURCE_LEAF

static final EClass CDO_RESOURCE_LEAF
The meta object literal for the '`CDO Resource Leaf`' class.

Since:
  4.1
See Also:
  - `CDOResourceLeafImpl`
  - `EresourcePackageImpl.getCDOResourceLeaf()`
Generated

### CDO_FILE_RESOURCE

static final EClass CDO_FILE_RESOURCE
The meta object literal for the '`CDO File Resource`' class.

Since:
  4.1
See Also:
  - `CDOFileResourceImpl`
  - `EresourcePackageImpl.getCDOFileResource()`
Generated

### CDO_BINARY_RESOURCE

static final EClass CDO_BINARY_RESOURCE
The meta object literal for the '`CDO Binary Resource`' class.

Since:
  4.1
See Also:
  - `CDOBinaryResourceImpl`
  - `EresourcePackageImpl.getCDOBinaryResource()`
Generated

### CDO_BINARY_RESOURCE__CONTENTS

static final EAttribute CDO_BINARY_RESOURCE__CONTENTS
The meta object literal for the 'Contents' attribute feature.

Since:
  4.1
Generated

### CDO_TEXT_RESOURCE

static final EClass CDO_TEXT_RESOURCE
The meta object literal for the '`CDO Text Resource`' class.

Since:
  4.1
See Also:
  - `CDOTextResourceImpl`
  - `EresourcePackageImpl.getCDOTextResource()`
Generated

### CDO_TEXT_RESOURCE__CONTENTS

static final EAttribute CDO_TEXT_RESOURCE__CONTENTS
The meta object literal for the 'Contents' attribute feature.

Since:
  4.1
Generated

### CDO_TEXT_RESOURCE__ENCODING

static final EAttribute CDO_TEXT_RESOURCE__ENCODING
The meta object literal for the 'Encoding' attribute feature.

Since:
  4.2
Generated

### RESOURCE_SET

static final EDataType RESOURCE_SET
The meta object literal for the 'Resource Set' data type.

See Also:
  - `ResourceSet`
  - `EresourcePackageImpl.getResourceSet()`
Generated

### URI

static final EDataType URI
The meta object literal for the 'URI' data type.

See Also:
  - `URI`
  - `EresourcePackageImpl.getURI()`
Generated

### DIAGNOSTIC

static final EDataType DIAGNOSTIC
The meta object literal for the 'Diagnostic' data type.

See Also:
  - `Resource.Diagnostic`
  - `EresourcePackageImpl.getDiagnostic()`
Generated